Name:           perl-ZMQ-LibZMQ2
Version:        1.07
Release:        1%{?dist}
Summary:        Perl wrapper for the libzmq 2.x library

License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ZMQ-LibZMQ2/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/ZMQ-LibZMQ2-%{version}.tar.gz

BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::SharedFork)
BuildRequires:  perl(Test::TCP) >= 1.08
BuildRequires:  perl(ZMQ::Constants) >= 1.00
BuildRequires:  zeromq-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
The ZMQ::LibZMQ2 module is a wrapper of the 0MQ message passing library for
Perl. It's a thin wrapper around the C API. Please read http://zeromq.org
for more details on 0MQ.


%prep
%setup -q -n ZMQ-LibZMQ2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/ZMQ*
%{_mandir}/man3/*.3*


%changelog
* Sun Mar  3 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-1
- Update to version 1.07

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 24 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to version 1.06

* Sat Jan 12 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
- Update to version 1.05

* Fri Jan  4 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-1
- Update to version 1.04

* Thu Dec 27 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-2
- Handle review itens (#868529)

* Wed Oct 17 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
- First Fedora release.

# vim:set ai ts=4 sw=4 sts=4 et:
